%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}


Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>
BuildArch:	noarch

Name:		gnome-doc-utils
Version:	0.20.2
Release:	1
License:	GNU/LGPL
URL:		ftp://ftp.gnome.org
Group:		Graphical Desktop/GNOME/Base
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Documentation utilities for GNOME.

BuildRequires:	libxslt-devel
BuildRequires: 	perl-XML-Parser
BuildRequires: 	libxml2-python 
BuildRequires:  libxml2-devel
BuildRequires: 	gettext 
BuildRequires:  docbook-dtds 
BuildRequires:  docbook-style-dsssl 
BuildRequires:  docbook-style-xsl 
BuildRequires:  xml-common 
BuildRequires:  gtk-doc

%description
gnome-doc-utils is a collection of documentation utilities
for the Gnome project. It contains the DocBook XSLT
stylesheets that were once distributed with Yelp.

%description
gnome-doc-utils is a collection of documentation utilities for the GNOME
project. Notably, it contains utilities for building documentation and
all auxiliary files in your source tree, and it contains the DocBook
XSLT stylesheets that were once distributed with Yelp.

%prep
%setup -q
FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" -e "^#! /usr/bin/python" -e "^#! /usr/bin/env python" "{}" \; )
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i    
done

%build
%configure \
--disable-scrollkeeper \
PYTHON=/usr/bin/python%{PYVER}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pkgconfig/

%files
%defattr(-,root,root,-)
%doc AUTHORS README NEWS
%{python_sitelib}/xml2po
%{_bindir}/gnome-doc-prepare
%{_bindir}/gnome-doc-tool
%{_bindir}/xml2po
%{_aclocal}/gnome-doc-utils.m4
%{_datadir}/gnome-doc-utils
%{_datadir}/gnome/help/gnome-doc-make
%{_datadir}/gnome/help/gnome-doc-xslt
%{_locale}/*/LC_MESSAGES/gnome-doc-utils.mo
%{_mandir}/man1/xml2po.1.gz
%{_datadir}/omf/gnome-doc-make
%{_datadir}/omf/gnome-doc-xslt
%{_datadir}/pkgconfig/gnome-doc-utils.pc
%{_datadir}/pkgconfig/xml2po.pc
%{_datadir}/xml/gnome/xslt/common
%{_datadir}/xml/gnome/xslt/docbook
%{_datadir}/xml/gnome/xslt/gettext
%{_datadir}/xml/gnome/xslt/mallard
%{_datadir}/xml/mallard/1.0

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.20.2-1
- Version update
* Sun Aug 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.20.1-1
- Version update
* Tue Nov 24 2009 Christian Metzen <metzench@ccux-linux.de> 0.18.1-1
- Version update
* Wed Nov 18 2009 Christian Metzen <metzench@ccux-linux.de> 0.16.0-3
- python 2.6
* Thu May 07 2009 Christian Wasem <wasem@ccux-linux.de> 0.16.0-2
- rebuilt with explicit /usr/bin/python2.5
* Sat Mar 21 2009 Christian Wasem <wasem@ccux-linux.de> 0.16.0-1
- Version update
* Fri Jan 09 2009 Christian Metzen <metzench@ccux-linux.de> 0.14.2-1
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 0.12.2-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 0.12.0-1
- Version update
* Wed Apr 11 2007 Christian Metzen <metzench@ccux-linux.de> 0.10.3-1
- Version update
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 0.10.1-1
- Version update
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 0.8.0-2
- clean buildchain
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 0.8.0-1
- Version update, moved prefix
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.6.0-1
- Version Update
* Tue Feb 28 2006 Christian Wasem <wasem@ccux-linux.de> 0.5.5-1
- Initial Release
